<?php

include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;
   $qcc1 = "SELECT id_inver FROM inversionista WHERE rfc = \"$rfc\" ";
           $ccc1 = mysql_query($qcc1) or die ('No se pudo hacer la consulta cc1' . mysql_error());
           $rrc = mysql_fetch_row($ccc1);
  
           $id_inv=$rrc[0];
	   
	echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>
	<br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Ver compras por fecha</label><br><br>Seleccione una fecha incial y una fecha final <br>haciendo click en los calendarios que se encuentran a la deracha<br><br></center>
	<form name=\"Agrega\" action=\"comprastotalesant.php\" method=\"post\">
	<div align=\"center\">
	<table width=\"357\" height=\"120\" border=\"1\">
		<tr>
	<td>
	Fecha Inicial:<td/>
	<td><input type=\"text\" name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"></td>";
	 echo"
							</tr>
							<tr>
	<td>
	Fecha Final:<td/>
	<td><input type=\"text\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td>";
	 echo"
							</tr>
	
	
	  <tr><td>
	</td>
	<td></td><td>
	<br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Compras\" />
	</td></tr>
      </table>
  </div></form>";
  
  $fecha1 =$_POST['fecha_i'];
  $fecha2 =$_POST['fecha_f'];
  

  if($generar="Generar Compras"){

           $vef=0;
           $vdep=0;
           $vns=0;
           $vas=0;
           $vreg=0;
           $vvou=0;
		   $preg=0;
		   $pvou=0;
		   $ctot=0;
		   $ptot=0;
		   $pasig=0;
           
  /*$q2 = "SELECT rfc, inversionista.nombre, appat, apmat, observaciones, fechat, idtransacciones FROM inversionista, transacciones, usuarios_ci  WHERE inversionista.id_inver=transacciones.inversionista_id_inver and usuarios_ci.idusuarios_ci=transacciones.usuarios_ci_idusuarios_ci and tipostr_idtipostr='10' and usuarios_ci.idusuarios_ci='".$id_cd."' and fechat =curdate() ";*/
$q2 = "SELECT rfc, inversionista.nombre, appat, apmat, cantidad, puntos, fechat, transacciones.idtransacciones, tipostr_idtipostr, fechat, porpagar FROM transacciones join depositos on 
  transacciones.idtransacciones=depositos.transacciones_idtransacciones join pagovta on pagovta.idtransacciones=transacciones.idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver 
  WHERE  (tipostr_idtipostr='10' or tipostr_idtipostr='11'  or tipostr_idtipostr='7') and fechat between \"$fecha1\" and \"$fecha2\" and porpagar!=0 order by tipostr_idtipostr,transacciones.idtransacciones";
  $c2 = mysql_query($q2) or die ('Error en la consulta1' . mysql_error());
  if(mysql_affected_rows())
   {
  echo"<center>Ventas Por Pagar<br><table border=\"1\"> <tr>
			<th>Pedido</th><th>RFC.</th><th>Nombre</th><th>Compras</th><th>Puntos</th><th>Adeudo</th><th>Nota</th><th>Fecha</th>
			</tr>";
  for($i=0;$r1 = mysql_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	  $a5 = $r1[5];
	  $a6 = $r1[6];
	  $a7 = $r1[7];
	  $a8 = $r1[8];
	  $a9 = $r1[9];
	   $a10 = $r1[10];
	  if($a8!=7){ $vef+=$a10;}
	   $ctot+=$a4;
	   $ptot+=$a5;
	  if($a8==10){$tiponota='VENTA';   	  }
	  if($a8==11){ $tiponota='SALIDA';  	  } 
	   if($a8==7){ $tiponota='ESPERA';  	  } 
	  
echo"<tr><td>$a7</td><td>$a0</td><td>$a1 $a2 $a3</td><td>$a4</td><td>$a5</td><td>$a10</td><td>$tiponota</td><td>$a9</td></tr>";
	}echo"</table><br><br>Adeudo total $ $vef";
	}
  }            
            
?>